package mvd.jester;

import mvd.jester.model.SystemSetup;
import mvd.jester.priority.EarliestDeadlineFirst;
import mvd.jester.priority.RateMonotonic;


/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        for (int p = 4; p <= 16; p *= 2) {
            SystemSetup.Builder builder = new SystemSetup.Builder().setNumberOfProcessors(p);
            TestEnvironment te = new TestEnvironment(builder, 40000);

            te.registerSchedulingAlgorithm(new RateMonotonic());
            te.registerSchedulingAlgorithm(new EarliestDeadlineFirst());

            te.registerTest(mvd.jester.tests.SchmidMottok.class);
            te.registerTest(mvd.jester.tests.MaiaBertogna.class);
            te.registerTest(mvd.jester.tests.ChwaLee.class);

            te.runExperiments();
        }
    }
}
